#ifndef _hungry_file_h
#define _hungry_file_h
#include "jni.h"

int get_file_descriptor(JNIEnv*, jobject);
void set_file_descriptor(JNIEnv*, jobject, int);
void file_open(JNIEnv*, jobject, jstring, int);
void file_close(JNIEnv*, jobject);
jint file_read(JNIEnv*, jobject);
jint file_readBytes(JNIEnv*, jobject, jbyteArray, jint, jint);

#endif





